
#ifndef _SVMSGD_H
#define _SVMSGD_H

#ifdef __cplusplus
extern "C" {
#endif

void InitializeSVM(int Dx, int L, double lambda);
void TrainSVM(intype *X, biguint *Z, int Dx, int imin, int imax, int isvm, int stepcounter);
double PredictSVM(int isvm, intype *x, int Dx);

void GetSVM(int isvm, double *buffer, int *index);
void SetSVM(int isvm, double *buffer, int *index);

#ifdef __cplusplus
}
#endif


#endif /* _SVMSGD_H */

